Subject: Re: [PATCH 2/7] s/pattern/prefix/ in help's list_commands

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Oct 2007 21:41:30 -0700

Scott R Parish <[email-masked]> writes:

> list_commands() currently accepts and ignores a "pattern" argument,
> and then hard codes a prefix as well as some magic numbers.

Correct observation.

Personally, I find this static function should not pretend to be
as flexible --- it is to list git subcommands anyway (and it
even knows about ".exe"), so rather than renaming the pattern
and using it, it might be simpler and cleaner to just drop the
parameter and be done with it.